local enemies = {
	"marshal_marksman",
	"gangster",
	"biker",
	"captain",
	"biker_escape",
	"mobster",
	"bolivian",
	"bolivian_indoors",
	"security",
	"security_undominatable",
	"mute_security_undominatable",
	"gensec",
	"cop",
	"cop_scared",
	"cop_female",
	"fbi",
	"swat",
	"fbi_swat",
	"city_swat",
	"heavy_swat",
	"fbi_heavy_swat",
	"shield",
	"sniper",
	"taser",
	"medic",
	"spooc",
	"tank",
	"tank_medic",
	"tank_mini",
	"phalanx_minion",
	"phalanx_vip",
	"mobster_boss",
	"biker_boss",
	"chavez_boss",
	"hector_boss",
	"drug_lord_boss",
	"triad_boss",
	"snowman_boss",
	"marshal_shield",
	"deep_boss",
	"piggydozer",
	"snowman_boss"
}

local hp_mul_preset = 0.8
local hp_mul_ds_preset = 0.7

Hooks:PostHook(CharacterTweakData, "_set_overkill", "very_hard_hp", function(self)
	for i=1, #enemies do
		self[tostring(enemies[i])].HEALTH_INIT = self[tostring(enemies[i])].HEALTH_INIT * hp_mul_preset
	end
end)

Hooks:PostHook(CharacterTweakData, "_set_overkill_145", "ovk_hp", function(self)
	for i=1, #enemies do
		self[tostring(enemies[i])].HEALTH_INIT = self[tostring(enemies[i])].HEALTH_INIT * hp_mul_preset
	end
end)

Hooks:PostHook(CharacterTweakData, "_set_easy_wish", "mayhem_hp", function(self)
	for i=1, #enemies do
		self[tostring(enemies[i])].HEALTH_INIT = self[tostring(enemies[i])].HEALTH_INIT * hp_mul_preset
	end
end)

Hooks:PostHook(CharacterTweakData, "_set_overkill_290", "dw_hp", function(self)
	for i=1, #enemies do
		self[tostring(enemies[i])].HEALTH_INIT = self[tostring(enemies[i])].HEALTH_INIT * hp_mul_preset
	end
end)

Hooks:PostHook(CharacterTweakData, "_set_sm_wish", "death_sentence_hp", function(self)
	for i=1, #enemies do
		self[tostring(enemies[i])].HEALTH_INIT = self[tostring(enemies[i])].HEALTH_INIT * hp_mul_ds_preset
	end
end)

local orig_prst = CharacterTweakData._presets
function CharacterTweakData:_presets(tweak_data)
	local presets = orig_prst(self, tweak_data)

	presets.gang_member_damage.HEALTH_INIT = 50
	presets.gang_member_damage.DOWNED_TIME = 30
	presets.gang_member_damage.BLEED_OUT_HEALTH_INIT = 12

	return presets
end