local weapons = {
	"x_b92fs",
	"x_basset",
	"x_chinchilla",
	"x_g17",
	"jowi",
	"x_g22c",
	"x_mp5",
	"x_packrat",
	"x_1911",
	"x_shrew",
	"x_deagle",
	"x_sr2",
	"x_usp",
	"x_akmsu",
	"x_sparrow",
	"x_rage",
	"x_c96",
	"x_ppk",
	"x_hs2000",
	"x_2006m",
	"x_breech",
	"x_p226",
	"x_g18c",
	"x_pl14",
	"x_legacy",
	"x_rota",
	"x_judge",
	"x_tec9",
	"x_m1928",
	"x_mp9",
	"x_scorpion",
	"x_hajk",
	"x_schakal",
	"x_cobray",
	"x_p90",
	"x_polymer",
	"x_mac10",
	"x_baka",
	"x_erma",
	"x_olympic",
	"x_sterling",
	"x_shepheard",
	"x_mp7",
	"x_m45",
	"x_coal",
	"x_uzi",
	"x_beer",
	"x_czech",
	"x_stech",
	"x_holt",
	"x_model3",
	"x_m1911",
	"x_vityaz",
	"x_pm9",
	"x_type54",
	"x_maxim9",
	"x_korth",
	"x_sko12",
	"ak74",
	"akm",
	"ak5",
	"flint",
	"amcar",
	"m16",
	"tecci",
	"new_m4",
	"sub2000",
	"famas",
	"s552",
	"scar",
	"fal",
	"ching",
	"galil",
	"g3",
	"akm_gold",
	"g36",
	"contraband",
	"vhs",
	"new_m14",
	"l85a2",
	"aug",
	"corgi",
	"asval",
	"komodo",
	"groza",
	"shak12",
	"hk21",
	"mg42",
	"m249",
	"par",
	"rpk",
	"m60",
	"hk51b",
	"lemming",
	"sparrow",
	"b92fs",
	"new_raging_bull",
	"c96",
	"chinchilla",
	"glock_17",
	"g26",
	"g22c",
	"packrat",
	"colt_1911",
	"shrew",
	"deagle",
	"ppk",
	"usp",
	"hs2000",
	"mateba",
	"breech",
	"peacemaker",
	"p226",
	"glock_18c",
	"pl14",
	"legacy",
	"beer",
	"czech",
	"stech",
	"holt",
	"model3",
	"m1911",
	"type54",
	"rsh12",
	"maxim9",
	"korth",
	"boot",
	"saiga",
	"b682",
	"benelli",
	"huntsman",
	"spas12",
	"ksg",
	"r870",
	"aa12",
	"m1897",
	"m590",
	"sko12",
	"basset",
	"m37",
	"rota",
	"serbu",
	"striker",
	"judge",
	"coach",
	"ultima",
	"tti",
	"desertfox",
	"siltstone",
	"wa2000",
	"mosin",
	"model70",
	"r93",
	"msr",
	"ms3gl",
	"winchester1874",
	"m95",
	"r700",
	"sbl",
	"qbu88",
	"scout",
	"tec9",
	"m1928",
	"mp9",
	"scorpion",
	"new_mp5",
	"hajk",
	"sr2",
	"schakal",
	"cobray",
	"p90",
	"akmsu",
	"polymer",
	"mac10",
	"baka",
	"erma",
	"olympic",
	"sterling",
	"mp7",
	"m45",
	"coal",
	"uzi",
	"shepheard",
	"vityaz",
	"pm9",
	"fmg9",
	"victor",
	"tkb",
	"hcar",
	"hailstorm",
	"contender",
	"awp",
	"kacchainsaw",
	"supernova",
	"bessy"
}

Hooks:PostHook(WeaponTweakData, "init", "f_overhaul_merged2022", function(self)
	for _, id in ipairs(weapons) do
		if self[id] and self[id].stats.damage then
			self[id].stats.damage = math.floor(self[id].stats.damage * 1.25)
		end
	end

    for _, id in ipairs(weapons) do
		if self[id] and self[id].stats.spread then
			self[id].stats.spread = math.floor(self[id].stats.spread * 0.8)
		end
	end

    for _, id in ipairs(weapons) do
		if self[id] and self[id].stats.recoil then
			self[id].stats.recoil = math.floor(self[id].stats.recoil * 0.8)
		end
	end

    for _, id in ipairs(weapons) do
		if self[id] and self[id].AMMO_PICKUP then
			self[id].AMMO_PICKUP[1] = self[id].AMMO_PICKUP[1] * 0.85
            self[id].AMMO_PICKUP[2] = self[id].AMMO_PICKUP[2] * 0.85
		end
	end

	self.asval.fire_mode_data = {
		fire_rate = (60/700)
	}
	self.benelli.stats.damage = 110
	self.r870.stats.damage = 150
	self.vhs.fire_mode_data = {
		fire_rate = (60/750)
	}
	self.m95.stats_modifiers.damage = 40
	self.m95.stats.damage = 100
	self.arblast.stats_modifiers.damage = 10
	self.arblast.stats.damage = 200
end)